Bug 572090 - Rpmlint should check if there are manual page for each binary/script
Rpmlint should check if there are manual page for each binary/script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 03:40 EST by Radek Novacek
Modified: 2016-11-30 19:29 EST (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-0.97-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-21 18:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that adds check if each executable in standard binary dirs has a man page (2.12 KB, patch)
2010-03-10 03:40 EST, Radek Novacek
no flags Details | Diff

  None (edit)
Description Radek Novacek 2010-03-10 03:40:53 EST
Created attachment 399031 [details]
Proposed patch that adds check if each executable in standard binary dirs has a man page

According to [1] each binary and script should have a manual page. Rpmlint can check if the package contains manual page for each executable in standard binary directories.


[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Man_pages
Comment 1 Ville Skyttä 2010-03-19 13:39:24 EDT
Thanks, different implementation applied upstream:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1747
Comment 2 Fedora Update System 2010-05-18 16:20:57 EDT
rpmlint-0.97-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc13
Comment 3 Fedora Update System 2010-05-18 16:22:12 EDT
rpmlint-0.97-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rpmlint-0.97-1.fc12
Comment 4 Fedora Update System 2010-05-28 14:03:50 EDT
rpmlint-0.97-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-06-04 14:46:50 EDT
rpmlint-0.97-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.